disabale FTP wordpress

غیر فعال کردن درخواست ورود اطلاعات FTP در وردپرس

در برخی موارد شما نمی توانید به روزرسانی افزونه  و قالب و هسته وردپرس خود را بدون ارائه اطلاعات اتصال FTP انجام بدهید . این یک مشکل رایج است که وردپرس نمی تواند مستقیما در پوشه wp-content خود چیزی بنویسد . 

برای رفع این مشکل ، شما باید جزئیات اطلاعات دسترسی به FTP را در فایل wp-config.php وردپرس خود بنویسید تا وردپرس آن را به خاطر بسپارد . 

علاوه بر این شما می توانید ، به وردپرس خودتان دسترسی ویرایش به پوشه wp-content را بدهید به وسیله دسترسی به FTP ریشه فایل و تغییر سطح دسترسی فایل ها (CHMOD) به ۷۷۷ از حالت پیش فرض ۷۷۵ یا ۶۶۴ . با این وجود راه ساده تری برای حل این مشکل وجود دارد :

با تعریف ثابت FS_METHOD در فایل wp-config.php وردپرستان ، این اخطار تکراری وردپرس حذف خواهد شد و به شما این امکان داده خواهد شد که تمام بخش های ذکر شده به راحتی به روزرسانی گردند ، همچنین به راحتی می توانید افزونه ها و قالب های جدید را از روی مخزن وردپرس نسب کنید . 

همین یک خط کد طول خواهید کشید تا شما به خواسته خودتان برسید . 

۱- باز کردن فایل wp-config.php

در حال حاضر تنها کاری که باید انجام دهید باز کردن فایل wp-config.php از ریشه اصلی وردپرس تان می باشد ( برای دسترسی به این فایل به پوشه ای که وردپرس را در آن نسب کرده اید بروید ) .  

۲- قرار دادن FS_METHOD

اضافه کردن کد ذیل به فایل wp-config.php . ترجیحا آخر همه کد ها 

define('FS_METHOD','direct');

۳- ذخیره و به روزرسانی

زمانی که شما این یک خط کد اضافه می کنید ، کافی است فایل مورد نظر را ذخیره کنید و یا اگر آن فایل بر روی قسمتی از کامپیوتر شما قرار دارد ، آن را به ریشه اصلی وردپرس یا هم محل نسب وردپرس منتقل کنید . 

بیشتر بخوانید
پوسته والد در وردپرس چیست ؟

نتیجه گیری :


مشکل نمایش خطای درخواست دسترسی هایی FTP برای وردپرس زمانی نمایان خواهد شد که اصولا شما از یک هاستینگ اشتراکی استفاده می کنید و زمانی که وردپرس با سطح دسترسی ها و مجوز ها مشکل دارد ، با استفاده از این روش شما می توانید وردپرس و افزونه ها و قالب های آن را بدون وارد کردن اطلاعات FTP به روزرسانی کنید . 

همچنین راه حل دیگری هم برای رفع این مشکل وردپرس در سایت استک قرار گرفته است  :  لینک